Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.hibernate.type
Class AbstractEncryptedAsStringType

    Object
      org.jasypt.hibernate.type.AbstractEncryptedAsStringType

All Implemented Interfaces:
  org.hibernate.usertype.ParameterizedType, org.hibernate.usertype.UserType

Direct Known Subclasses:
  EncryptedBigDecimalAsStringType, EncryptedBigIntegerAsStringType, EncryptedBooleanAsStringType, EncryptedByteAsStringType, EncryptedCalendarAsStringType, EncryptedDateAsStringType, EncryptedDoubleAsStringType, EncryptedFloatAsStringType, EncryptedIntegerAsStringType, EncryptedLongAsStringType, EncryptedShortAsStringType, EncryptedStringType

Deprecated. Will be removed in 1.11. Package org.jasypt.hibernate.connectionprovider has been renamed as org.jasypt.hibernate3.connectionprovider.

    public abstract class AbstractEncryptedAsStringType

extends Object
implements org.hibernate.usertype.UserType, org.hibernate.usertype.ParameterizedType

Base class for Hibernate `UserType`s to store values as encrypted strings.

Since:
  1.2
Author:
  Daniel Fernández, Iván García Sáinz-Aja

Field Summary
`protected org.jasypt.encryption.pbe.PBEStringEncryptor` | `encryptor` Deprecated.

Constructor Summary
`AbstractEncryptedAsStringType()` Deprecated.

Method Summary
`Object` | `assemble(java.io.Serializable cached, Object owner)` Deprecated.
`protected void` | `checkInitialization()` Deprecated.
`protected abstract Object` | `convertToObject(String string)` Deprecated. Converts given String to its Object form.
`protected String` | `convertToString(Object object)` Deprecated. Converts given Object to its String form.
`Object` | `deepCopy(Object value)` Deprecated.
`java.io.Serializable` | `disassemble(Object value)` Deprecated.
`boolean` | `equals(Object x, Object y)` Deprecated.
`int` | `hashCode(Object x)` Deprecated.
`boolean` | `isMutable()` Deprecated.
`Object` | `nullSafeGet(java.sql.ResultSet rs, String[] names, Object owner)` Deprecated.
`void` | `nullSafeSet(java.sql.PreparedStatement st, Object value, int index)` Deprecated.
`Object` | `replace(Object original, Object target, Object owner)` Deprecated.
`abstract Class` | `returnedClass()` Deprecated.
`void` | `setParameterValues(java.util.Properties parameters)` Deprecated.
`int[]` | `sqlTypes()` Deprecated.

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encryptor

    protected org.jasypt.encryption.pbe.PBEStringEncryptor encryptor

  Deprecated.

Constructor Detail

### AbstractEncryptedAsStringType

    public AbstractEncryptedAsStringType()

  Deprecated.

Method Detail

### convertToObject

    protected abstract Object convertToObject(String string)

  Deprecated.
  Converts given String to its Object form.

  Parameters:
    `string` - the string value
  Returns:
    the object form of the passed String

### convertToString

    protected String convertToString(Object object)

  Deprecated.
  Converts given Object to its String form.

  Parameters:
    `object` - the object value
  Returns:
    the string form of the passes Object

### sqlTypes

    public final int[] sqlTypes()

  Deprecated.
  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

### returnedClass

    public abstract Class returnedClass()

  Deprecated.
  Specified by:
    `returnedClass` in interface `org.hibernate.usertype.UserType`

### equals

    public final boolean equals(Object x,
                                Object y)
                         throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### deepCopy

    public final Object deepCopy(Object value)
                          throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### assemble

    public final Object assemble(java.io.Serializable cached,
                                 Object owner)
                          throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### disassemble

    public final java.io.Serializable disassemble(Object value)
                                           throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public final boolean isMutable()

  Deprecated.
  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### hashCode

    public final int hashCode(Object x)
                       throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### replace

    public final Object replace(Object original,
                                Object target,
                                Object owner)
                         throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### nullSafeGet

    public final Object nullSafeGet(java.sql.ResultSet rs,
                                    String[] names,
                                    Object owner)
                             throws org.hibernate.HibernateException,
                                    java.sql.SQLException

  Deprecated.
  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### nullSafeSet

    public final void nullSafeSet(java.sql.PreparedStatement st,
                                  Object value,
                                  int index)
                           throws org.hibernate.HibernateException,
                                  java.sql.SQLException

  Deprecated.
  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### setParameterValues

    public void setParameterValues(java.util.Properties parameters)

  Deprecated.
  Specified by:
    `setParameterValues` in interface `org.hibernate.usertype.ParameterizedType`

### checkInitialization

    protected final void checkInitialization()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.